Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Functions
rmd160.h File Reference
`#include "defs.h"`
Include dependency graph for rmd160.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | RMD160_CTX

## Macros
#define | RMD160_BLOCK_LENGTH 64
#define | RMD160_DIGEST_LENGTH 20
#define | RMD160_DIGEST_STRING_LENGTH (RMD160_DIGEST_LENGTH * 2 + 1)

## Functions
__BEGIN_DECLS void RMD160_Init | _ ((RMD160_CTX *))
void RMD160_Transform | _ ((uint32_t[5], const uint32_t[16]))
void RMD160_Update | _ ((RMD160_CTX *, const uint8_t *, size_t))
void RMD160_Finish | _ ((RMD160_CTX *, uint8_t[20]))

## Macro Definition Documentation

#define RMD160_BLOCK_LENGTH 64

Definition at line 52 of file rmd160.h.

#define RMD160_DIGEST_LENGTH 20

Definition at line 53 of file rmd160.h.

#define RMD160_DIGEST_STRING_LENGTH (RMD160_DIGEST_LENGTH * 2 + 1)

Definition at line 54 of file rmd160.h.

## Function Documentation

__BEGIN_DECLS void RMD160_Init _ | ( | (RMD160_CTX *) | ) |  |

void RMD160_Transform _ | ( | (uint32_t[5], const uint32_t[16]) | ) |  |

void RMD160_Update _ | ( | (RMD160_CTX *, const uint8_t *, size_t) | ) |  |

void RMD160_Finish _ | ( | (RMD160_CTX *, uint8_t[20]) | ) |  |